Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# pixbuf-animation.hh File Reference

A GdkPixbufAnimation and GdkPixbufAnimationIter C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <gdk-pixbuf/gdk-pixbuf.h>`
`#include <xfc/gdk-pixbuf/inline/pixbuf-animation.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::PixbufAnimationIter
    A GdkPixbufAnimationIter C++ wrapper class. More...
- class Xfc::Gdk::PixbufAnimation
    A GdkPixbufAnimation C++ wrapper class. More...

## Detailed Description

A GdkPixbufAnimation and GdkPixbufAnimationIter C++ wrapper interface.

PixbufAnimationIter and PixbufAnimation provides a simple mechanism to load and display animations.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3